Summary:	Go board game for KDE
Name:		kigo
Version:	17.08.2
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/applications/games/kigo/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kdegames-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	gnugo

%description
Kigo is an open-source implementation of the popular Go game.

Go is a strategic board game for two players. It is also known as igo
(Japanese), weiqi or wei ch'i (Chinese) or baduk (Korean).
Go is noted for being rich in strategic complexity despite its simple rules.
The game is played by two players who alternately place black and white stones
(playing pieces, now usually made of glass or plastic) on the vacant
intersections of a grid of 19x19 lines (9x9 or 13x13 for easier games).

%files -f %{name}.lang
%{_kde5_bindir}/kigo
%{_kde5_applicationsdir}/org.kde.kigo.desktop
%{_kde5_datadir}/kigo
%{_kde5_datadir}/config.kcfg/kigo.kcfg
%{_kde5_iconsdir}/*/*/apps/kigo.png
%{_kde5_sysconfdir}/xdg/kigo-games.knsrc
%{_kde5_sysconfdir}/xdg/kigo.knsrc
%{_kde5_xmlguidir}/kigo/kigoui.rc
%{_appdatadir}/org.kde.kigo.appdata.xml

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html
%kf5locales_fix %{name}.lang

%changelog

* Wed Nov 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.08.2-1
- (35bcef7) New version 17.08.2
- (35bcef7) Switch to KF5


